OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000775OMNeT++command line toolspublic2014-09-05 10:232014-09-24 09:42
Reporterrhornig 
Assigned Torhornig 
PrioritynormalSeverityfeatureReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.5 
Target VersionFixed in Version4.0 
Summary0000775: Ability to turn off include directory auto discover during makefile generation
DescriptionWe need a comand line option (and also a similar function in IDE) tu turn off the include file discovery so only the src root will be added as an include path.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000931)
rhornig (administrator)
2014-09-24 09:42

This is a feature that is already present in OMNeT 4.x.
- use the --no-deep-includes option on the opp_makemake command line.
- The IDE's makemake options dialog also has an Includes tab where this option can be configured

- Issue History
Date Modified Username Field Change
2014-09-05 10:23 rhornig New Issue
2014-09-08 09:38 rhornig Summary Ability to turn of include directory auto discover during makefile generation => Ability to turn off include directory auto discover during makefile generation
2014-09-24 09:42 rhornig Note Added: 0000931
2014-09-24 09:42 rhornig Status new => resolved
2014-09-24 09:42 rhornig Fixed in Version => 4.0
2014-09-24 09:42 rhornig Resolution open => fixed
2014-09-24 09:42 rhornig Assigned To => rhornig


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker